com.impinj.stp

## Class StpApi.OperationEvent.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationEvent.Builder>
      - - com.impinj.stp.StpApi.OperationEvent.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.OperationEventOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.OperationEvent

      public static final class StpApi.OperationEvent.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationEvent.Builder>
      implements StpApi.OperationEventOrBuilder

  Protobuf type `Impinj.STP.OperationEvent` **NOT YET SUPPORTED** A change in the device operating state driven by completion of the tag operation or a start or stop driven by GPI.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.OperationEvent` | `build()`
    `StpApi.OperationEvent` | `buildPartial()`
    `StpApi.OperationEvent.Builder` | `clear()`
    `StpApi.OperationEvent.Builder` | `clearOperationEventType()`
    `StpApi.OperationEvent.Builder` | `clearOperationTriggerType()`
    `StpApi.OperationEvent.Builder` | `clearTimestamp()`
    `StpApi.OperationEvent.Builder` | `clone()`
    `StpApi.OperationEvent` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.OperationEventType` | `getOperationEventType()`
    `StpApi.OperationTriggerType` | `getOperationTriggerType()`
    `StpApi.Timestamp` | `getTimestamp()`
    `StpApi.Timestamp.Builder` | `getTimestampBuilder()`
    `StpApi.TimestampOrBuilder` | `getTimestampOrBuilder()`
    `boolean` | `hasOperationEventType()`
    `boolean` | `hasOperationTriggerType()`
    `boolean` | `hasTimestamp()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.OperationEvent.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.OperationEvent.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.OperationEvent.Builder` | `mergeFrom(StpApi.OperationEvent other)`
    `StpApi.OperationEvent.Builder` | `mergeTimestamp(StpApi.Timestamp value)`
    `StpApi.OperationEvent.Builder` | `setOperationEventType(StpApi.OperationEventType value)`
    `StpApi.OperationEvent.Builder` | `setOperationTriggerType(StpApi.OperationTriggerType value)`
    `StpApi.OperationEvent.Builder` | `setTimestamp(StpApi.Timestamp.Builder builderForValue)`
    `StpApi.OperationEvent.Builder` | `setTimestamp(StpApi.Timestamp value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationEvent.Builder>`

    - #### clear

          public StpApi.OperationEvent.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationEvent.Builder>`

    - #### clone

          public StpApi.OperationEvent.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationEvent.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationEvent.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.OperationEvent getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.OperationEvent build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.OperationEvent buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.OperationEvent.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationEvent.Builder>`

    - #### mergeFrom

          public StpApi.OperationEvent.Builder mergeFrom(StpApi.OperationEvent other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationEvent.Builder>`

    - #### mergeFrom

          public StpApi.OperationEvent.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationEvent.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasTimestamp

          public boolean hasTimestamp()

      Specified by:
        `hasTimestamp` in interface `StpApi.OperationEventOrBuilder`

    - #### getTimestamp

          public StpApi.Timestamp getTimestamp()

      Specified by:
        `getTimestamp` in interface `StpApi.OperationEventOrBuilder`

    - #### setTimestamp

          public StpApi.OperationEvent.Builder setTimestamp(StpApi.Timestamp value)

    - #### setTimestamp

          public StpApi.OperationEvent.Builder setTimestamp(StpApi.Timestamp.Builder builderForValue)

    - #### mergeTimestamp

          public StpApi.OperationEvent.Builder mergeTimestamp(StpApi.Timestamp value)

    - #### clearTimestamp

          public StpApi.OperationEvent.Builder clearTimestamp()

    - #### getTimestampBuilder

          public StpApi.Timestamp.Builder getTimestampBuilder()

    - #### getTimestampOrBuilder

          public StpApi.TimestampOrBuilder getTimestampOrBuilder()

      Specified by:
        `getTimestampOrBuilder` in interface `StpApi.OperationEventOrBuilder`

    - #### hasOperationEventType

          public boolean hasOperationEventType()

      Specified by:
        `hasOperationEventType` in interface `StpApi.OperationEventOrBuilder`

    - #### getOperationEventType

          public StpApi.OperationEventType getOperationEventType()

      Specified by:
        `getOperationEventType` in interface `StpApi.OperationEventOrBuilder`

    - #### setOperationEventType

          public StpApi.OperationEvent.Builder setOperationEventType(StpApi.OperationEventType value)

    - #### clearOperationEventType

          public StpApi.OperationEvent.Builder clearOperationEventType()

    - #### hasOperationTriggerType

          public boolean hasOperationTriggerType()

      Specified by:
        `hasOperationTriggerType` in interface `StpApi.OperationEventOrBuilder`

    - #### getOperationTriggerType

          public StpApi.OperationTriggerType getOperationTriggerType()

      Specified by:
        `getOperationTriggerType` in interface `StpApi.OperationEventOrBuilder`

    - #### setOperationTriggerType

          public StpApi.OperationEvent.Builder setOperationTriggerType(StpApi.OperationTriggerType value)

    - #### clearOperationTriggerType

          public StpApi.OperationEvent.Builder clearOperationTriggerType()